
import request from '@/utils/request'
// 查询修蹄列表
export function listFixHoof(query) {
  return request({
    url: '/produce/other/fixHoof/list',
    method: 'get',
    params: query
  })
}
// 查询修蹄详细
export function getFixHoof(id) {
  return request({
    url: `/produce/other/fixHoof/${id}`,
    method: 'get'
  })
}
// 新增修蹄
export function addFixHoof(data) {
  return request({
    url: '/produce/other/fixHoof',
    method: 'post',
    data: data
  })
}
// 修改修蹄
export function updateFixHoof(data) {
  return request({
    url: '/produce/other/fixHoof',
    method: 'put',
    data: data
  })
}
// 删除修蹄
export function delFixHoof(ids) {
  const idStr = Array.isArray(ids) ? ids.join(',') : String(ids)
  return request({
    url: `/produce/other/fixHoof/${idStr}`,
    method: 'delete'
  })
}
//导出
export function exportFixHoof(query) {
  return request({
    url: '/produce/other/fixHoof/export',
    method: 'post',
    params: query,
    responseType: 'blob' // 导出功能需要设置响应类型为blob
  })
}


// 按管理耳号查羊只
export function checkSheepByManageTags(manageTags) {
  return request({
    url: '/sheep/sheep/byManageTags/' + encodeURIComponent(manageTags),
    method: 'get'
  })
}

//获取品种
export function getVarietyOptions(query){
  return request({
    url:'/base/variety/list',
    method:'get',
    params:query
  })
}


